package cz.moneta.test.dsl.fortelight;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.fortelight.pages.ForteLightHomePage;
import cz.moneta.test.harness.endpoints.forte.ForteLightEndpoint;
import cz.moneta.test.harness.support.web.Builders;

public class ForteLight {

    private final Harness harness;
    private ForteLightEndpoint forteLightEndpoint;

    public ForteLight(Harness harness) {
        this.harness = harness;
    }

    public ForteLightHomePage openForteLightHomePage() {
        forteLightEndpoint = harness.getEndpoint(ForteLightEndpoint.class);
        forteLightEndpoint.openApplication();
        return Builders.newWebFlowBuilder(ForteLightHomePage.class, forteLightEndpoint, harness);
    }
}
